Previous Point Cycling & Model command

Hi All,
After migrating over from ACAD I'm missing having a couple of command features, so am wondering if anyone has a solution to these:

Up arrow and down arrow cycling of previous points is not the same as ACAD.
Does anyone know if this feature can be switch on/access in a different way?

Also...

As a keyboard user, I am missing the "model" command to get me from paper space to model space.
Anyone know how to do this without clicking the model tab?

Cheers,

Comments

  • You could use the TILEMODE variable/command to switch between model and layout, but that is not very convenient.
    I do not know what AutoCAD's MODEL command actually does, but it may be more than just setting TILEMODE to 1.
    It is however easy to define your own command to switch back and forth and include some kind of housekeeping: Below is the version that I use, since I usually do not want LWDISPLAY and visible points in model space, and also want linetypescaling to get adjusted when working in drawings that do not use annotational scaling.

    (defun C:SWITCHSPACE ( / )
     (if (= 1 (getvar "TILEMODE"))
      (progn
       (setvar "LTSCALE" 1)
       (setvar "PSLTSCALE" 1)
       (setvar "LWDISPLAY" 1)
       (setvar "PDMODE" 0)
       (setvar "TILEMODE" 0)
      )
      (progn
       (if (and (/= 1 (getvar "MSLTSCALE")) (/= 0 (getvar "DIMSCALE")))
        (setvar "LTSCALE" (getvar "DIMSCALE"))
       )
       (setvar "TILEMODE" 1)
       (setvar "LWDISPLAY" 0)
       (setvar "PDMODE" 34)
       (prompt (strcat "Point mode set to 34, Linetypescale set to " (rtos (getvar "LTSCALE"))))
      )
     )
     (princ)
    )
    

    As to the arrow keys, I have no clue what they are bound to in ACAD, but AFAIK BricsCAD does not maintain a list of previous points that you could cycle through, so this one might be harder to solve. But maybe I misunderstood the question.

  • Knut, Thanks very much. That's really useful: to keep adjusting those setting between PS & MS.
    I'll have a play around with a custom version for myself, Cheers!

    On the arrow front, you understood perfectly. It's not the worst thing in the world to do without - so that's great.

    This is a shame tho - It would be great to be able to access to more previous points ...and reference them when prompted for a point - p1, p2 etc. I feel like this would make macros a lot better. You wouldn't have to store points in variables necessarily. Anyway, put it on my list to CAD Santa I suppose.